SGE_SCHEDD(8)

NAME
sge_schedd - Grid Engine Enterprise Edition job scheduling agent

SYNOPSIS
sge_schedd [ -help ]

DESCRIPTION
sge_schedd computes the scheduling decision in a Grid Engine Enterprise Edition cluster. The information necessary for the decision is retrieved from via an event interface. After applying the scheduling algorithm, sge_schedd communicates the scheduling decision back to again via the Grid Engine Enterprise Edition GDI. In order to trigger a sge_schedd run, samples changes in the cluster status and notifies sge_schedd in periodical time intervals.
Together with sge_schedd a is brought up automatically on the same machine (if not already present).

By using the -tsm option of the command, sge_schedd can be forced to print trace messages of its next scheduling run to the file <sge_root>/<cell>/common/schedd_runlog. The messages indicate the reasons for jobs and queues not being selected in that run

OPTIONS

-help
    Print version number of the scheduler.

ENVIRONMENTAL VARIABLES

SGE_ROOT
    Specifies the location of the Grid Engine Enterprise Edition standard configuration files.

SGE_CELL
    If set, specifies the default Grid Engine Enterprise Edition cell. To address a Grid Engine Enterprise Edition cell sge_schedd uses (in the order of precedence):

        The name of the cell specified in the environment variable SGE_CELL, if it is set.

        The name of the default cell, i.e. default.

SGE_DEBUG_LEVEL
    If set, specifies that debug information should be written to stderr. In addition the level of detail in which debug information is generated is defined.

COMMD_PORT
    If set, specifies the tcp port on which is expected to listen for communication requests. Most installations will use a services map entry instead to define that port.

FILES
<sge_root>/<cell>/spool/qmaster/schedd
	sge_schedd spool directory
<sge_root>/<cell>/common/sched_runlog
	sge_schedd trace information
<sge_root>/<cell>/common/sched_configuration
	sge_schedd configuration
See for details on the scheduler configuration file.

SEE ALSO

COPYRIGHT
See for a full statement of rights and permissions.